mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("f1c3bf77-c3e4-11d3-88e7-00902754c43a") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

This interface is used in the process of converting a managed assembly to a COM type library.

Provides a callback mechanism for the assembly converter to inform the caller of the status of the conversion, and involve the caller in the conversion process itself.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  If the event being reported is a warning or an error, will contain the HRESULT of the error. For any other event it will be 0.

  Notifies the caller that an event occured during the conversion of an assembly.

  An value indicating the type of event. Indicates extra information about the event. A message generated by the event.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  If a reference to another assembly is found during the conversion of an assembly, the caller is asked to return the correct type library (the object that implements ITypeLib interface) for that assembly.

  Asks the user to resolve a reference to another assembly.

  The type library for .

  The assembly to resolve.